with Ada.Integer_Text_Io;  use Ada;	        --  1 Library package for Integer IO
procedure Access_Type_1 is	              --  2 
   type Integer_Pointer is access Integer;  --  3 Storage pool access type
   Number : Integer := 42;	              --  4 Declared value
   Location : Integer_Pointer;	        --  5 Storage pool access value
begin		                                --  6 
   Location := new Integer;	              --  7 The word new is an allocator
   Location.all := Number;                  --  8 all permits reference to the data being referenced
   Integer_Text_Io.Put(Location);           --  9 Illegal.  Location is access object, not an Integer object
   Integer_Text_Io.Put(Location.all);       -- 10 Legal.  Location.all is data of Integer type
end Access_Type_1;	                    -- 11 