-- ==========================================================================================
-- Ada Distilled              by Richard Riehle, AdaWorks Software Engineering
--                                               For your Ada training and consulting needs
-- Accessibility_Problem_2.adb
--
-- See 5.3.2 in Ada Distilled for discussion of this program.
--
-- This will not compile because of the attempt to violate accessibility rules on line 8
--  
-- Line numbers correspond to those in Ada Distilled.
-- 
-- =========================================================================================
-- 
procedure Accessibility_Problem_2 is	         -- 1 
   type Integer_Reference is access all Integer;   -- 2 General access type
   Reference : Integer_Reference;	               -- 3 Access value
begin		                                       -- 4	
   declare	                                       -- 5 
      Data : aliased Integer;	                     -- 6 An aliased integer value
   begin	                                       -- 7 
      Reference := Data'access;	               -- 8 Will not compile; Data is at the wrong level of
   end;		                                 -- 9 accessibility for corresponding types.
end Accessibility_Problem_2; 	                    -- 10 