--with Ada.Text_IO;
--use  Ada;
package Attribute_Experiment_Declarations is

  type Real is digits 12 range -32_000.0 .. +32_000.0;
  for Real'Size use 64;
  
  procedure Put(Result : String);
  
  function Get(Prompt : String) return Real;
  
  package Catenator is
     function "&" (L : Real; R : String) return String;
     function "&" (L : String; R : Real) return String;
  end Catenator;
  
  Number_1 : Real := 87.033444;
  Number_2 : Real := 2033.3452;
  Result   : Real := 0.0;
  Temp     : Real := 0.0;

end Attribute_Experiment_Declarations;