-- ==========================================================================================
-- Dobroe_Uutra.adb
--
-- Demonstrates how an Index can take the values of an enumerated type.  Recall that an 
-- enumerated type is an ordered set.  
--
--
--
-- ==========================================================================================
with  Ada.Text_Io;	                  -- 1 Put Library Unit in Scope;  8.2, 10.1.2
procedure Dobroe_Uutra  is	            -- 2 "Good morning" in Russian  
   type Week is (Sun, Mon, Tue, Wed, Thu, -- 2.1 This type is not included in the code example
                 Fri, Sat);               -- 2.2 in Ada Distilled; we put it here so this will compile.
begin                   	            -- 3 Required to initiated sequence of statements
   Loop_Name:	                        -- 4 This is a named loop;  good coding style; 5.5
      for Index in Week 	            -- 5 Loop index may be any discrete type
         loop		                  -- 6 Reserved word loop is required; 	5.5
      Ada.Text_Io.Put(Week'Image(Index)); -- 7 'Image converts Value to Text for  printing
   end loop Loop_Name;                    -- 8 The name is required if the loop is named; 5.5
end Dobroe_Uutra;	                        -- 9 Note the label for the enclosing procedure