package Double_Tagged_Type.Secondary_Storage is

   type File_Type is limited private;
   
   procedure Create  (The_File : in out File_Type; External : String); 
   procedure Open    (The_File : in out File_Type; External : String);  
   procedure Close   (The_File : in out File_Type);
   
   procedure Store(Into : File_Type; The_Data : in T1'Class);
   procedure Advance(To_Next_Item : in out File_Type);
   function  Get_Current(From : in File_Type) return T1'Class;
   
   
private

   type The_File_Type;
   type File_Type is access all The_File_Type;

end Double_Tagged_Type.Secondary_Storage;