-- ==========================================================================================
-- Ada Distilled              by Richard Riehle, AdaWorks Software Engineering
--                                               For your Ada training and consulting needs
-- General_Access_Type_Example_1.adb
--
-- Note that this will not compile unless you comment out line 9.
--  
-- Line numbers correspond to those in Ada Distilled.
-- 
-- ==========================================================================================
--
--
procedure General_Access_Type_Example_1 is
--
   procedure Access_Type_4 is   	                              --  1
      function Spritz (I : access Integer) return Integer is	--  2 
      begin	                                                      --  3 
         return I.all + 1;	                                    --  4 
      end Spritz;  	                                          --  5 
   begin		                                                --  6 
      declare	                                                --  7 
         type Integer_Pointer is access all Integer; 	            --  8 
         Location : Integer_Pointer; 	                        --  9 
         N1 : aliased Integer := 42;	                        -- 10  
         N2 : Integer := 0;	                                    -- 11 
      begin	                                                      -- 12 	
         Location := N1'access;	                              -- 13 Assign location of N1 to Location
         N2 := Spritz(Location);                                  -- 14 Call function with access variable parameter	
      end;	                                                      -- 15 
   end Access_Type_4;	                                          -- 16 
--
begin
   Access_Type_4;
end General_Access_Type_Example_1;