with Ada.Streams.Stream_Io;
use  Ada.Streams;
with Ada.Text_IO;
with Ada.Integer_Text_Io;  
with Ada.Float_Text_Io;  
use  Ada;  
use  Integer_Text_Io;
use  Float_Text_Io;
procedure Stream_Demo_1 is
   The_File  : Stream_Io.File_Type;
   Reference : Stream_Io.Stream_Access;
   Whole_Number : Integer;
   Real_Number  : Float;
   File_Name    : String(1..80) := (others => ' ');
   File_Name_Length : Natural;
begin
   Text_IO.Put("Enter File Name: ");
   Text_IO.Get_Line(File_Name, File_Name_Length);
   Stream_Io.Create(File => The_File,
                    Name => File_Name(1..File_Name_Length));
   Reference := Stream_Io.Stream(The_File);
   for I in 1..100 loop
      Ada.Integer_Text_Io.Get(Whole_Number);
      Integer'Output(Reference, Whole_Number);
      Ada.Float_Text_Io.Get(Real_Number);
      Float'Output(Reference, Real_Number);
   end loop;
   Stream_Io.Close(The_File);
end Stream_Demo_1;
