with Interfaces;
with Ada.Text_IO;
use  Ada;
procedure Test_Bit_Operations is

   package Unsigned_IO is new Text_IO.Modular_IO
                       (Num => Interfaces.Unsigned_32);
   Number : Interfaces.Unsigned_32 :=  256;
   Unsigned_Result   : Interfaces.Unsigned_32;
   Logical_Op_Value  : Interfaces.Unsigned_32;
   use type Interfaces.Unsigned_32;
begin

   loop
     Text_IO.Put("Enter a Positive value (Zero to Quit): ");
     Unsigned_IO.Get(Number);
     exit when Number not in 1..Interfaces.Unsigned_32'Last;
     Text_IO.New_Line;
     Unsigned_Result := Interfaces.Shift_Left(Value  => Number, 
                                              Amount => 1);
     Text_IO.Put("Result after Shift_Left Operation:             ");
     Unsigned_IO.Put(Unsigned_Result);
     Text_IO.New_Line;
     Unsigned_Result := Interfaces.Shift_Right(Value  => Number, 
                                               Amount => 1);
     Text_IO.Put("Result after Shift_Right Operation:            ");
     Unsigned_IO.Put(Unsigned_Result);
     Text_IO.New_Line;
     Unsigned_Result := Interfaces.Rotate_Left(Value  => Number, 
                                               Amount => 1);
     Text_IO.Put("Result after Rotate_Left Operation:            ");
     Unsigned_IO.Put(Unsigned_Result);
     Text_IO.New_Line;
     
     Unsigned_Result := Interfaces.Rotate_Right(Value  => Number, 
                                                Amount => 1);
     Text_IO.Put("Result after Rotate_Right Operation:           ");
     Unsigned_IO.Put(Unsigned_Result);
     Text_IO.New_Line;
     
     Unsigned_Result := Interfaces.Shift_Right_Arithmetic(Value  => Number, 
                                                          Amount => 1);
     Text_IO.Put("Result after Shift_Right_Arithmetic Operation: ");
     Unsigned_IO.Put(Unsigned_Result);
     Text_IO.New_Line(2);
     
     Text_IO.Put("Enter an unsigned number for logical ops: ");
     Unsigned_IO.Get(Logical_Op_Value);
     
     Unsigned_Result := Number and Logical_Op_Value;                                                       
     Text_IO.Put("Result after Number and Logical_Op_Value:  ");
     Unsigned_IO.Put(Unsigned_Result);
     Text_IO.New_Line;
     
     Unsigned_Result := Number or Logical_Op_Value;
     Text_IO.Put("Result after Number or  Logical_Op_Value:  ");
     Unsigned_IO.Put(Unsigned_Result);
     Text_IO.New_Line;
     
     Unsigned_Result := Number xor Logical_Op_Value;
     Text_IO.Put("Result after Number xor Logical_Op_Value:  ");
     Unsigned_IO.Put(Unsigned_Result);
     Text_IO.New_Line(2);
     

   end loop;
   
end Test_Bit_Operations;