-- ====================================================================================
-- Ada Distilled 
--
-- ====================================================================================
with Ada.Text_IO;
use  Ada;
package body Rotating_Machinery is

   ---------------
   -- Set_Speed --
   ---------------

   procedure Set_Speed (M : in out Rotational; S : in Positive) is
   begin
      M.RPM := S;
   end Set_Speed;

   --------------
   -- Turn_Off --
   --------------

   procedure Turn_Off (M : in out Rotational) is
   begin
      Machinery.Turn_Off(Machinery.Machine(M));
      Text_IO.Put_Line("Called Rotating Machinery.Turn_Off ");
   end Turn_Off;

   -------------
   -- Turn_On --
   -------------

   procedure Turn_On (M : in out Rotational) is
   begin
      Machinery.Turn_On(Machinery.Machine(M));
      Text_IO.Put_Line("Called Rotating Machinery.Turn_On ");
   end Turn_On;

end Rotating_Machinery;

