-- ===================================================================================
--
-- This will not compile due to errors in the use of the general access type.  Fix
-- the errors and try it again.   
--
--
-- ===================================================================================
with Ada.Integer_Text_Io;  use Ada;	             --   1 Library package for Integer IO
procedure Access_Type_2 is	                   --   2 
   type Integer_Pointer is access all Integer;   --   3 General access type; requires all
   N1 : aliased Integer := 42;	             --   4 Aliased declared value
   N2 : Integer := 360;	                         --   5 Non-aliased declared value
   Location : Integer_Pointer;	             --   6 General access type value
begin		                                     --   7 
   Location := N1'access;	                   --   8 Point to value declared on Line 4
   Integer_Text_Io.Put(Location);                --   9 Illegal.  Location is not an Integer type
   Integer_Text_Io.Put(Location.all);             -- 10 Legal.  Location.all is data of Integer type
   Location := N2'access;	                    -- 11 Illegal. N2 was not aliased
end Access_Type_2;	                          -- 12 