-- =================================================================================
--
--  This example violates the Ada accessibility rules.  How can you correct it.  No,
--  you are not allowed to use 'Unchecked_Access.  Try again.
--
--
--
-- =================================================================================
with Ada.Integer_Text_Io;  use Ada;	            --   1 Library package for Integer IO
procedure Access_Type_3 is	                  --   2 
   type Integer_Pointer is access all Integer;  --   3 General access type; requires all
   Location : Integer_Pointer;	            --   4 General access type value
begin		                                    --   5 
   declare	                                    --   6 A declare block with local scope
      N1 : aliased Integer := 42;	            --   7 Declare an aliased value locally
   begin	                                    --   8 
      Location := N1'access;	                  --   9 Point to value declared on Line 4
   end;		                              --  10 End of declare block scope
end Access_Type_3;	                        --  11 Compilation failed!  