-- ==========================================================================================
-- Ada Distilled              by Richard Riehle, AdaWorks Software Engineering
--                                               For your Ada training and consulting needs
-- Access_Type_Example_1.adb
--  This will not compile because of sthe statement on line 9 of the nested procedure
--
-- See 5.2 in Ada Distilled for discussion of the case statements.
--  
-- Line numbers correspond to those in Ada Distilled.
-- 
-- ==========================================================================================
--
with Ada.Integer_Text_Io;	                                    --  1  Put a library unit in scope
procedure Access_Type_Example_1 is


   procedure Access_Type_1 is	                        --  2 
      type Integer_Pointer is access Integer;         --  3 Storage pool access type
      Number : Integer := 42;	                        --  4 Declared value
      Location : Integer_Pointer;	                  --  5 Storage pool access value
   begin		                                    --  6 
      Location := new Integer;	                  --  7 The word new is an allocator
      Location.all := Number;                         --  8 all permits reference to the data being referenced
      Ada.Integer_Text_Io.Put(Location);              --  9 Illegal.  Location is not an Integer type
      Ada.Integer_Text_Io.Put(Location.all);          -- 10 Legal.  Location.all is data of Integer type
   end Access_Type_1;	                              -- 11 Always label a subprogram end statement


begin
   Access_Type_1;
   end Access_Type_Example_1;
