-- ==========================================================================================
-- Ada Distilled              by Richard Riehle, AdaWorks Software Engineering
--                                               For your Ada training and consulting needs
-- Accessibility_Problem_1.adb
--
-- See 5.3.2 in Ada Distilled for discussion of this program.
--  
-- Line numbers correspond to those in Ada Distilled.
-- 
-- =========================================================================================
-- 
procedure Accessibility_Problem_1 is	         -- 1 
   type Integer_Reference is access all Integer;   -- 2 General access type in scope
   Reference : Integer_Reference;	               -- 3 Access value in immediate scope
   Data : aliased Integer;	                     -- 4 Data at the same accessibility level
begin		                                       -- 5		
   Reference := Data'access;	                     -- 6 OK because types and declarations
end Accessibility_Problem_1;	                     -- 7 are at the same accessibility level