-- ==========================================================================================
-- Ada Distilled              by Richard Riehle, AdaWorks Software Engineering
--                                               For your Ada training and consulting needs
-- Application.ads
--
-- See 6.1.3 in Ada Distilled for discussion of this program.
--
-- 
--  
-- 
-- 
-- =========================================================================================
-- 

package Application is

   type Application_Type is tagged null record;
   
   procedure Start(Data : in out Application_Type);
   
   procedure Stop(Data : in out Application_Type);
   
   procedure Cleanup(Data : in out Application_Type);
   
   procedure ReStart(Data : in out Application_Type);
   
   procedure Finalization (Data : in out Application_Type);
   
end Application;