with Ada.Text_IO;
with Ada.Integer_Text_IO;
use  Ada;
with Attribute_Experiment_Declarations;
procedure Compose_Attribute is

  package AED renames Attribute_Experiment_Declarations;
  use AED.Catenator;
  
  Number_1 : AED.Real := 87.033444;
  Result   : AED.Real := 0.0;
  Whole_Number : Integer;

begin

  loop
    Text_IO.Put("Integer Value: ");
    Integer_Text_IO.Get(Whole_Number);
    exit when Whole_Number <= 0;
    Number_1 := AED.Get("Enter a Value: ");
    AED.Put("You entered = " & Number_1 & "for Number_1 ");
    begin
      Result   := AED.Real'Compose(Number_1, Whole_Number);
      AED.Put ("Number_1 Compose = " & Number_1);
    exception
      when Constraint_Error =>
         Text_IO.Put_Line("Values for Compose Attribute are unacceptable "
                          & "   Try again!  ");
    end;     
  end loop;
  
end Compose_Attribute;