-- ==========================================================================================
-- Ada Distilled              by Richard Riehle, AdaWorks Software Engineering
--                                               For your Ada training and consulting needs
-- Conversions.adb
--
-- See Ada Distilled for discussion of this program.
--
-- 
--
-- Line numbers correspond to those in Ada Distilled.
-- 
-- =========================================================================================
-- 
package body Conversions is	                                    --  1
   function Convert (Y : Yen; Rate : Money) return Dollars is	--  2
      Result : Dollars := 0.0;	                              --  3 declare result of return type
   begin		                                                --  4 stub out the function temporarily
      return Result;	                                          --  5 after algorithm to do conversion
   end Convert;	                                                --  6
   function Convert (D : Dollars; Rate : Money) return Yen is	--  7
      Result : Yen := 0.0;	                                    --  8 declare result of return type
   begin		                                                --  9 temporarily stub out the begin..end part
      return Result;	                                          -- 10  after algorithm to do conversion
   end Convert;	                                                -- 11 
end Conversions;	                                                -- 12 