-- ==========================================================================================
-- Hello_By_Input.adb
--
--  
--   
--
--
--
-- ==========================================================================================
--
with Ada.Text_Io;	                                          --  1 Context clause; parent and child package
with Ada.Characters.Latin_1;	                              --  2 Replaces Ada 83 package ASCII 
procedure Hello_By_Input is	                              --  3 Long procedure name
   Esc   : Character renames Ada.Characters.Latin_1.Esc;    --  4 A.3.3/5; Ada is not case sensitive 
   Input  : Character := Ada.Characters.Latin_1.Space;      --  5 Initial value for Variable
   Index : Natural := 0;	                              --  6 package Standard,   A.1/13
   Hello : String(1..80) := (others => Input);              --  7 Input is intialized as space
begin				                                    --  8 Normally comment this line
   Ada.Text_Io.Get_Immediate(Input);	                  --  9  ALRM A.101./44
   while Input /= Esc loop  -- /= is Ada "not equal" symbol	-- 10 Negative condition while loop
      Ada.Text_Io.Put(Input); -- Echo input	            -- 11 Only Echo if it is not ESC
      Index := Index + 1;	                              -- 12 Need to maintain own index	
      Hello(Index) := Input;	                              -- 13 Assign the input to the string
      Ada.Text_Io.Get_Immediate(Input);	                  -- 14 No need to press enter key
   end loop;		                                    -- 15 Every loop needs an end loop
   Ada.Text_Io.New_Line;	                              -- 16 Carriage Return/ Line Feed
   Ada.Text_Io.Put_Line(Hello);	                        -- 17 Put the string and advance one line
end Hello_By_Input;	                                    -- 18 Must be same name as procedure name