package body Machinery_1_3 is	                  --  Function body; implements specification declarations
   procedure Turn_On  (M : in out Machine) is   --  Repeat procedure specification; compiler checks this
   begin	                                    --  Starts algorithmic section of procedure
      M.Turned_On := True;                      --  Simple assignment statement of boolean value
   end Turn_On;	                              --  Procedure scope terminator is required

   procedure Turn_Off (M : in out Machine) is   --  Must match profile in specification
   begin	                                    --  Algorithms between begin and end
      M.Turned_On := False;	                  --  M.Turned called dot notation
   end Turn_Off;	                              --  Name is optional but end is required

   function  Is_On (M : in Machine) return Boolean is   --  In mode is like a constant; it may
   begin	                                            --  not be on left side of assignment
      return M.Turned_On;	                          --  return statement required of every function
   end Is_On;	                                      --  Scope terminator for function
end Machinery_1_3;	                                --  End of all declarations for this package