package Machinery_1_3 is                  	      --  Package specification; requires body
   type Machine is private;                           --  Specifies the visible part of the data type;  
   procedure Turn_On  (M : in out Machine);	      --  procedure specification
   procedure Turn_Off (M : in out Machine);	      --  procedure specification
   function  Is_On (M : in Machine) return Boolean;   --  function specification
private		--  private part hidden from a client of contract
   type Machine is 
      record                                          --  full definition of the publicly declared type
         Turned_On : Boolean := False;                --  component of the type; OOP attribute 
      end record;                                     --  scope terminator for the component
end Machinery_1_3;	                              --  scope terminator for the specification