-- ==========================================================================================
-- Ada Distilled              by Richard Riehle, AdaWorks Software Engineering
--                                               For your Ada training and consulting needs
-- Messenger.adb
--
-- See 7.1 in Ada Distilled for discussion of this program.
--
-- 
--
-- Line numbers correspond to those in Ada Distilled.
-- 
-- =========================================================================================
-- 
package body Messenger is	                                          --  1 
   function Create (S : String) return Message is	                  --  2
       Result : Message;                                                --  2.1
   begin 		                                                      --  3
      -- algorithm to create object of type Message	                  --  4
      -- must have at least one return statement                        --  5
      return Result;                                                    --  5.1
   end Create;	                                                      --  6
   function Get return Message is	                                    --  7
      Result : Message;                                                 --  7.1
   begin 		                                                      --  8
      -- algorithm to Get a message from some container or input device	--  9
      -- must have at least one return statement	                  -- 10
      return Result;                                                    -- 10.1
   end Get;	                                                            -- 11
   procedure Put (M : in Message) is	                              -- 12
   begin 		                                                      -- 13
      -- algorithm	                                                -- 14
      null;                                                             -- 14.1
   end Put;		                                                      -- 15
   procedure Clear (M : in out Message) is	                        -- 16
   begin 		                                                      -- 17
      -- algorithm to clear the Message	                              -- 18
      null;                                                             -- 18.1
   end Clear;	                                                      -- 19
   function Text (M : Message) return String is	                        -- 20
      result : String(1..10) := (others => ' ');                        -- 20.1
   begin 		                                                      -- 21
      -- algorithm, if necessary	                                    -- 22
      -- must have at least one return statement	                  -- 23
      return Result;                                                    -- 23.1
   end Text;		                                                -- 24
   function Length (M : Message) return Natural is	                  -- 25
      Result : Natural := 0;                                            -- 25.1
   begin 		                                                      -- 26
      -- algorithm to get length of Message Text	                  -- 27
      -- must have at least one return statement	                  -- 28
      return Result;                                                    -- 28.1
   end Length;	                                                      -- 29
   
   procedure Send  (M :  in Message) is
   begin
     null;
   end Send;
   
   procedure Receive (M : out Message) is	              
   begin
      null;
   end Receive;
   
   function  Size (M : in Message) return Natural is
      Result : Natural := 0;
   begin
      return Result;
   end Size;

   
end Messenger;	                                                      -- 30