-- ==========================================================================================
-- Ada Distilled              by Richard Riehle, AdaWorks Software Engineering
--                                               For your Ada training and consulting needs
-- Pi_Symbol.ads
--
-- See      in Ada Distilled for discussion of this program.
--
-- 
--
-- Line numbers correspond to those in Ada Distilled.
-- 
-- =========================================================================================
-- 
with Ada.Text_Io;	                           --  1 Put Text_IO library unit in scope; 	10.1.2, A.10
with Ada.Float_Text_Io;	                     --  2 Predefined in Annex A	A.10.9/33
procedure  Pi_Symbol  is	               --  3 Parameterless declaration; 	6.3
   Pi : constant Float := 3.1415;            --  4 Should have used Ada.Numerics for this	
   Radius : Float := 12.0;	               --  5 Ordinary Floating point initialized	
   Area : Float := 0.0;                      --  6 I prefer to initialize all variables; not require here
begin				                     --  7 Begins sequence of algorithmic statements; 	6.3
   Area := Pi * Radius ** 2;                 --  8 Possible to paste in the special character
   Ada.Float_Text_Io.Put(Area);              --  9 Dot notation makes Put visible	A.10.6
end Pi_Symbol;		                     -- 10 Scope terminator with name of unit	6.3