-- ====================================================================================
-- Ada Distilled 
--
-- ====================================================================================
with Machinery;	                                               --  1 
package Rotating_Machinery is	                                   --  2    
   type Rotational is new Machinery.Machine with private;        --  3 Inherits Machine methods & data
   procedure Turn_On (M : in out Rotational);                    --  4  Overrides Machinery.Turn_On
   procedure Turn_Off (M : in out Rotational);                   --  5  Overrides Machinery.Turn_Off
   procedure Set_Speed(M : in out Rotational;  S : in Positive); --  6  New primitive operation
private			                                         --  7   
   type Rotational is new Machinery.Machine                      --  8 
      with record                                                --  9 
         Rpm : Natural := 0;                                     -- 10 New component in derivation 
      end record;                                                -- 11 
end Rotating_Machinery;	                                         -- 12 