-- ==========================================================================================
-- Ada Distilled              by Richard Riehle, AdaWorks Software Engineering
--                                               For your Ada training and consulting needs
-- Storage_Pool_Access_Type_Example_1.adb
--
-- Note that this will not compile unless you comment out line 9.
--  
-- Line numbers correspond to those in Ada Distilled.
-- 
-- ==========================================================================================
--
with Ada.Text_Io;	                              -- 1 Put a library unit in scope
with Ada.Integer_Text_Io;
use  Ada;
procedure Storage_Pool_Access_Type_Example_1 is

            
   procedure Access_Type_1 is	                 --  2 
      type Integer_Pointer is access Integer;  --  3 Storage pool access type
      Number : Integer := 42;	                 --  4 Declared value
      Location : Integer_Pointer;	           --  5 Storage pool access value
   begin		                             --  6 
      Location := new Integer;	           --  7 The word new is an allocator
      Location.all := Number;                  --  8 all permits reference to the data being referenced
      Integer_Text_Io.Put(Location);           --  9 Illegal.  Location is not an Integer type
      Integer_Text_Io.Put(Location.all);       -- 10 Legal.  Location.all is data of Integer type
   end Access_Type_1;	                       -- 11 



begin
   Access_Type_1;
end Storage_Pool_Access_Type_Example_1;