with Ada.Streams.Stream_Io;
use  Ada.Streams;
with Ada.Integer_Text_Io;
with Ada.Float_Text_Io;
with Ada.Text_IO;
use  Ada;
procedure Stream_Demo_2 is
   The_File  : Stream_Io.File_Type;
   Reference : Stream_Io.Stream_Access;
   Whole_Number : Integer;
   Real_Number  : Float;
   File_Name    : String(1..80) := (others => ' ');
   File_Name_Length : Natural;
begin
   Text_IO.Put("Enter File Name: ");
   Text_IO.Get_Line(File_Name, File_Name_Length);
   Stream_Io.Open  (File => The_File,
      Mode => Stream_IO.In_File,
      Name => File_Name(1..File_Name_Length));
   Reference := Stream_Io.Stream(The_File);
   while not Stream_Io.End_Of_File (The_File)
         loop
      Whole_Number := Integer'Input(Reference);
      Ada.Integer_Text_Io.Put(Whole_Number);
      Real_Number := Float'Input(Reference);
      Ada.Float_Text_Io.Put(Real_Number);
   end loop;
   Stream_Io.Close(The_File);
end Stream_Demo_2;
