with Ada.Streams.Stream_Io;
use  Ada.Streams;
with Ada.Text_IO;
use  Ada;
with Machinery_For_Streams;
procedure Stream_Demo_3 is
   The_File  : Stream_Io.File_Type;
   Reference : Stream_Io.Stream_Access;
   Data : Machinery_For_Streams.Machine_Set(1..9)
             := (1 => new Machinery_For_Streams.Machine_1,
                 2 => new Machinery_For_Streams.Machine_2,
                 3 => new Machinery_For_Streams.Machine_3,
                 4 => new Machinery_For_Streams.Machine_3,
                 5 => new Machinery_For_Streams.Machine_2,
                 6 => new Machinery_For_Streams.Machine_1,
                 7 => new Machinery_For_Streams.Machine_4,
                 8 => new Machinery_For_Streams.Machine_1,
                 9 => new Machinery_For_Streams.Machine_4);
   File_Name    : String(1..80) := (others => ' ');
   File_Name_Length : Natural;
begin
   Text_IO.Put("Enter File Name: ");
   Text_IO.Get_Line(File_Name, File_Name_Length);
   Stream_Io.Create(File => The_File,
                    Mode => Stream_IO.Out_File,
                    Name => File_Name(1..File_Name_Length));
   Reference := Stream_Io.Stream(The_File);
   for I in Data'Range
         loop
           Machinery_For_Streams.Machine'Class'Output(Reference, Data(I).all);
   end loop;
   Stream_Io.Close(The_File);
end Stream_Demo_3;
