-- =================================================
-- Ada Distilled 
-- Machinery_For_Streams.ads
-- =================================================
with Ada.Text_IO;
use  Ada;
package body Machinery_For_Streams is

   function Get(From : Machine_Set) return Machine'Class is
     Result : Machine'Class := From(1).all;
   begin
      return Result;
   end Get;

   function Is_On (M : Machine) return Boolean is
   begin
      return M.Is_On;
   end Is_On;
   
   function Create(S : String := "Machn_1") return Machine_1 is
      Result : Machine_1 := (Identifier => S(1..7), Is_On => False);
   begin
      return Result;
   end Create;

   function Create(S : String := "Machn_2") return Machine_2 is
      Result : Machine_2 := (Identifier => S(1..7), Is_On => False);
   begin
      return Result;
   end Create;

   function Create(S : String := "Machn_3") return Machine_3 is
      Result : Machine_3 := (Identifier => S(1..7), Is_On => False);
   begin
      return Result;
   end Create;

   function Create(S : String := "Machn_4") return Machine_4 is
      Result : Machine_4 := (Identifier => S(1..7), Is_On => False);
   begin
      return Result;
   end Create;

   procedure Turn_Off (M : in out Machine) is
   begin
      M.Is_On := False;
   end Turn_Off;

   procedure Turn_Off (M1 : in out Machine_1) is
   begin
     Turn_On(Machine(M1));
     Text_IO.Put_Line("Turn Off Machine_2");
   end Turn_Off;

   procedure Turn_Off (M2 : in out Machine_2) is
   begin
     Turn_On(Machine(M2));
     Text_IO.Put_Line("Turn Off Machine_2");
   end Turn_Off;

   procedure Turn_Off (M3 : in out Machine_3) is
   begin
     Turn_On(Machine_1(M3));
     Text_IO.Put_Line("Turn Off Machine_3");
   end Turn_Off;
 
   procedure Turn_Off (M4 : in out Machine_4) is
   begin
     Turn_On(Machine_3(M4));
     Text_IO.Put_Line("Turn Off Machine_4");
   end Turn_Off;

   procedure Turn_On (M : in out Machine) is
   begin
      M.Is_On := True;
      Text_IO.Put_Line("Turn On Machine");
   end Turn_On;

   procedure Turn_On (M1 : in out Machine_1) is
   begin
     Turn_On(Machine(M1));
     Text_IO.Put_Line("Turn On Machine_1");
   end Turn_On;

   procedure Turn_On (M2 : in out Machine_2) is
   begin
     Turn_On(Machine(M2));
     Text_IO.Put_Line("Turn On Machine_2");
   end Turn_On;

   procedure Turn_On (M3 : in out Machine_3) is
   begin
     Turn_On(Machine_1(M3));
     Text_IO.Put_Line("Turn On Machine_3");
   end Turn_On;

   procedure Turn_On (M4 : in out Machine_4) is
   begin
     Turn_On(Machine_3(M4));
     Text_IO.Put_Line("Turn On Machine_4");
   end Turn_On;

end Machinery_For_Streams;

