with Generic_Utilities;
-- ======================================================
-- Ada Distilled 8.1
--
--
--
-- ======================================================


package body Root is

  function Increment is new Generic_Utilities.Next(Number);
  function Decrement is new Generic_Utilities.Prev(Number);


   ---------
   -- "+" --
   ---------

   function "+" (N  : Number) return Number is
   begin
      return Increment (N);
   end "+";

   ---------
   -- "-" --
   ---------

   function "-" (N  : Number) return Number is
   begin
      return Decrement (N);
   end "-";

   ----------------
   -- Integer_Is --
   ----------------

   function Integer_Is (N : Number) return Integer is
   begin
      return Integer (N);
   end Integer_Is;

   ---------
   -- Set --
   ---------

   function Set (To : Integer) return Number is
   begin
      return Number(To);
   end Set;

end Root;

